Page MenuHomePhabricator

Flow: should not override global h1 and h2 style
Open, MediumPublic

Description

Flow boards set the h1 page heading to font-family: Georgia, color: #1E1E1E, with no bottom border. They also set h2 outside topics to color: #231f20 with no bottom border. But then the Typography refresh Beta feature sets both h1 and h2 to font-family: "DejaVu Serif", Georgia, serif. It's confusing: it suggests titles of Flow boards will appear different from regular pages when the font change will be minimal when Vector gets the Typography refresh; templates in a Flow board header appear differently than on regular pages; if you use a Flow board to discuss the Typography refresh you get slightly different fonts.

If we think changing header typography is a generally good idea, we should do it globally in Vector; if we think Flow topics and the Flow header need different typography than the default we should give them targeted selectors (as modules/discussion/styles/topic.less already does for the topic title) rather than redefining generic tags, and be sure to say why in the comments. Dropping the bottom border from h1 is an aesthetic choice that won't work when we use a <div id="contentSub"> under the heading line to improve navigation back to a board.

I think Matthias added global h2 styling for "Historical view of a topic"; if we really need this it could be a specific .flow-history-log h2 selector.

See also bug 59155.


Version: master
Severity: normal

Details

Reference
bz59636

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:16 AM
bzimport set Reference to bz59636.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Jan 4 2014, 4:16 AM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/684, but people from the community are welcome to contribute here and in Gerrit.

Change 105426 had a related patch set uploaded by Spage:
Don't globally style h1 and h2

https://gerrit.wikimedia.org/r/105426

Created attachment 14519
hidden post's titlebar when using the Typography refresh Beta feature

Attached:

On mediawiki.org, go to Special:Preferences > Beta > Typography refresh then visit a Flow page that has a hidden post. The serif h2 header typography affects hidden posts. See attached. I haven't tried with the patch.

May Galloway specified that h2 in topic titles should continue to have the current sans serif layout.

Change 116474 had a related patch set uploaded by Matthias Mullie:
(bug 59636) should not override global h1 and h2 style

https://gerrit.wikimedia.org/r/116474

  • Bug 62593 has been marked as a duplicate of this bug. ***

Change 116474 merged by jenkins-bot:
(bug 59636) should not override global h1 and h2 style

https://gerrit.wikimedia.org/r/116474

Change 105426 abandoned by EBernhardson:
Don't globally style h1 and h2

Reason:
116474 was just merged which solves the same problem

https://gerrit.wikimedia.org/r/105426

Quiddity reopened this task as Open.Dec 18 2014, 8:03 PM

Re-opening, because of continued user comments about the very differently sized & styled Topic-Title font. (e.g. this comment)


Keeping the sans-serif seems reasonable [it's a different context from article/content pages], but the SIZE AND BOLDING can hopefully be re-examined. This will also reduce the vertical space that each titlebar consumes, so a double-improvement by changing it.

Quiddity set Security to None.
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:01 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 6:07 PM